import { DOMAttributes } from 'react';
import { ToastProps } from '../types';
interface Draggable {
    start: number;
    x: number;
    y: number;
    deltaX: number;
    removalDistance: number;
    canCloseOnClick: boolean;
    canDrag: boolean;
    boundingRect: DOMRect | null;
}
export declare function useToast(props: ToastProps): {
    playToast: () => void;
    pauseToast: () => void;
    isRunning: boolean;
    preventExitTransition: boolean;
    toastRef: import("react").RefObject<HTMLDivElement>;
    drag: Draggable;
    onDragStart: (e: import("react").MouseEvent<HTMLElement, MouseEvent> | import("react").TouchEvent<HTMLElement>) => void;
    onDragTransitionEnd: () => void;
    eventHandlers: DOMAttributes<HTMLElement>;
};
export {};
